Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.arjuna.ats.tsmx
Class TransactionServiceMX

    java.lang.Object
      com.arjuna.ats.tsmx.TransactionServiceMX

public class TransactionServiceMX
extends java.lang.Object

Field Summary
`static java.lang.String` | `AGENT_IMPLEMENTATION_PROPERTY`

Constructor Summary
`protected` | `TransactionServiceMX()`

Method Summary
`AgentInterface` | `getAgentInterface()`
`java.lang.String` | `getObjectName(java.lang.String mbeanName)`
`java.util.Properties` | `getProperties()`
`static TransactionServiceMX` | `getTransactionServiceMX()`
`protected void` | `loadProperties()`
`boolean` | `unregisterMBeans()` Thie method unregisters all the mbeans registered.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### AGENT_IMPLEMENTATION_PROPERTY

    public static final java.lang.String AGENT_IMPLEMENTATION_PROPERTY

See Also:
  Constant Field Values

Constructor Detail

### TransactionServiceMX

    protected TransactionServiceMX()

Method Detail

### getTransactionServiceMX

    public static final TransactionServiceMX getTransactionServiceMX()

### loadProperties

    protected void loadProperties()
                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getObjectName

    public final java.lang.String getObjectName(java.lang.String mbeanName)

### getProperties

    public final java.util.Properties getProperties()

### getAgentInterface

    public final AgentInterface getAgentInterface()

### unregisterMBeans

    public boolean unregisterMBeans()

  Thie method unregisters all the mbeans registered.

  Returns:
    True if all beans were unregistered successfully.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD